Fixing onos-create-app to bomb if mvn command fails for some reason.

Change-Id: I770a2efee9557371caff7066bf71306d375c3fdf
diff --git a/tools/dev/bin/onos-create-app b/tools/dev/bin/onos-create-app
index 5776c63..0430a58 100755
--- a/tools/dev/bin/onos-create-app
+++ b/tools/dev/bin/onos-create-app
@@ -23,6 +23,8 @@
 [ -n "$1" ] && otherOptions="$otherOptions -Dversion=$1" && shift
 [ -n "$1" ] && otherOptions="$otherOptions -Dpackage=$1" && shift
 
+set -e
+
 mvn archetype:generate -DarchetypeCatalog=local,remote \
     -DarchetypeGroupId=org.onosproject \
     -DarchetypeArtifactId=onos-$archetype-archetype \